Subject: RE: Simple module, but won't build

From: "Steven Kaiser" <[email-masked]>
Date: Wed, 6 Sep 2006 12:29:05 -0700

Thanks Josu for the LED source code.  It works!

Turns out my basic problem with autoconf.h was my confusion with all the
kernel trees I have around.  I was downloading and compiling new kernels
into:
/opt/eldk/
but my NFS filesystem was targeted at:
/opt/eldk/ppc_82xx/
 
autoconf.h is generated during the $make menuconfig step (I'm pretty sure),
and so was placed in:
/opt/eldk/usr/src/linuxppc_2_4_devel/include/linux
but my running kernel was looking for it in:
/opt/eldk/ppc_82xx/usr/src/linuxppc_2_4_devel/include/linux

So I downloaded new kernel sources into /opt/eldk/ppc_82xx/, recompiled,
fixed some symbolic links, and did a little makefile magic to ensure the
right stuff is included when I compile modules, and all now seems well.

Steven Kaiser
Chemistry Electronics Facility
University of California, Irvine
2347 Natural Sciences 2
Irvine, CA  92697-2025